getInitial               package:stats               R Documentation

Get Initial Parameter Estimates

Description:

     This function evaluates initial parameter estimates for a
     nonlinear regression model.  If 'data' is a parameterized data
     frame or 'pframe' object, its 'parameters' attribute is returned.
     Otherwise the object is examined to see if it contains a call to a
     'selfStart' object whose 'initial' attribute can be evaluated.

Usage:

     getInitial(object, data, ...)

Arguments:

  object: a formula or a 'selfStart' model that defines a nonlinear
          regression model

    data: a data frame in which the expressions in the formula or
          arguments to the 'selfStart' model can be evaluated

     ...: optional additional arguments

Value:

     A named numeric vector or list of starting estimates for the
     parameters.  The construction of many 'selfStart' models is such
     that these "starting" estimates are, in fact, the converged
     parameter estimates.

Author(s):

     Jose Pinheiro and Douglas Bates

See Also:

     'nls',  'selfStart', 'selfStart.default', 'selfStart.formula'

Examples:

     data(Puromycin)
     PurTrt <- Puromycin[ Puromycin$state == "treated", ]
     getInitial( rate ~ SSmicmen( conc, Vm, K ), PurTrt )

